#include "defs.h"

#define	DEBUG		0

void setpseudo(struct img_set *img_set, struct img_info *curimg, int classix, int nbtpl, int *tpl_ix)
{
  struct img_info *curkey;
  struct node_set  tmpns;
  double dist, curdist;
  int    i, j;

  initialize_node_set(&tmpns);

  curdist = MAXVALUE;
  for (j=0; j<nbtpl; j++) {
	if (tpl_ix[j] < 0) continue;
    curkey = &(img_set->img[tpl_ix[j]]);
    dist = direct_search(curimg, curkey, &tmpns);
    if (dist < curdist) curdist = dist;
  }
  curimg->pseudo[classix] = curdist;

  free_node_set(&tmpns);

}


double pseudo_distance(struct img_info *dimg_info, struct img_info *timg_info)
{
	int    i;
	double curdist;

	curdist = MAXVALUE;
	for (i=0; i<PSEUDO_MAX; i++)
		if (curdist > dimg_info->pseudo[i] + timg_info->pseudo[i]) 
			curdist = dimg_info->pseudo[i] + timg_info->pseudo[i];

	return(curdist);

}
